summaryrefslogtreecommitdiff
path: root/utils
diff options
context:
space:
mode:
authorfalkTX <falktx@gmail.com>2014-07-15 23:23:48 +0100
committerfalkTX <falktx@gmail.com>2014-07-15 23:23:48 +0100
commit3e301868c211600f5855ed1913914f84b3b2aa46 (patch)
tree412e590f3631d1935f28594827e32ea20d0d2234 /utils
parent723378f43d603b9930bae4e5ab3b7e5f31ee79bd (diff)
Add scripts and README used in Windows plugins releases
Diffstat (limited to 'utils')
-rw-r--r--utils/README-DPF-Windows.txt13
-rwxr-xr-xutils/pack-win-dlls.sh54
2 files changed, 67 insertions, 0 deletions
diff --git a/utils/README-DPF-Windows.txt b/utils/README-DPF-Windows.txt
new file mode 100644
index 00000000..96beb531
--- /dev/null
+++ b/utils/README-DPF-Windows.txt
@@ -0,0 +1,13 @@
+######################################
+## Generic README for DISTRHO Plugins
+
+This folder contains audio plugins downloaded from http://distrho.sourceforge.net/plugins
+
+The included *.lv2 folder is an LV2 bundle and the *.dll file is a VST.
+Check your host documentation to know where to place these files.
+Note that most hosts support VST but not LV2.
+
+
+If your host is not listing these plugins, make sure the binaries you downloaded match your host architecture.
+32bit plugins go into 32bit hosts, same for 64bit.
+Some hosts are able to load plugins with different architecture, but that's the exception rather than the rule.
diff --git a/utils/pack-win-dlls.sh b/utils/pack-win-dlls.sh
new file mode 100755
index 00000000..4660f30e
--- /dev/null
+++ b/utils/pack-win-dlls.sh
@@ -0,0 +1,54 @@
+#!/bin/bash
+
+set -e
+
+# --------------------------------------------------------------------------------------------------------------------------------
+# extract debs and pack them
+
+function compressFolderAsZip() {
+rm -f "$1.zip"
+zip -X -r "$1" "$1"
+rm -r "$1"
+}
+
+# --------------------------------------------------------------------------------------------------------------------------------
+
+if [ "$1" == "" ]; then
+echo Missing argument
+exit
+fi
+
+# --------------------------------------------------------------------------------------------------------------------------------
+
+cd bin
+
+mkdir -p tmp
+rm -rf tmp/*
+
+NAME="$1"
+
+_mingw32-build make -C .. clean
+_mingw32-build make -C ..
+for i in `ls *-vst.dll`; do mv $i `echo $i | awk 'sub("-vst","")'`; done
+rm -rf *ladspa* *dssi* *vst*
+mkdir -p "$NAME-win32bit"
+mv *.dll *.lv2/ "$NAME-win32bit"
+cp "../dpf/utils/README-DPF-Windows.txt" "$NAME-win32bit/README.txt"
+compressFolderAsZip "$NAME-win32bit"
+rm -rf tmp/*
+
+_mingw64-build make -C .. clean
+_mingw64-build make -C ..
+for i in `ls *-vst.dll`; do mv $i `echo $i | awk 'sub("-vst","")'`; done
+rm -rf *ladspa* *dssi* *vst*
+mkdir -p "$NAME-win64bit"
+mv *.dll *.lv2/ "$NAME-win64bit"
+cp "../dpf/utils/README-DPF-Windows.txt" "$NAME-win64bit/README.txt"
+compressFolderAsZip "$NAME-win64bit"
+rm -rf tmp/*
+
+_mingw64-build make -C .. clean
+
+cd ..
+
+# --------------------------------------------------------------------------------------------------------------------------------